import { SdkContext } from "@azure-tools/typespec-client-generator-core";
import { EmitContext } from "@typespec/compiler";
import { CSharpEmitterOptions } from "./options.js";
import { CSharpEmitterContext } from "./sdk-context.js";
import { CodeModel } from "./type/code-model.js";
import { Configuration } from "./type/configuration.js";
/**
 * The entry point for the emitter. This function is called by the typespec compiler.
 * @param context - The emit context
 * @beta
 */
export declare function $onEmit(context: EmitContext<CSharpEmitterOptions>): Promise<void>;
export declare function createConfiguration(options: CSharpEmitterOptions, namespace: string, sdkContext: SdkContext): Configuration;
/**
 * Write the code model to the output folder.
 * @param context - The CSharp emitter context
 * @param codeModel - The code model
 * @param outputFolder - The output folder
 * @beta
 */
export declare function writeCodeModel(context: CSharpEmitterContext, codeModel: CodeModel, outputFolder: string): Promise<void>;
//# sourceMappingURL=emitter.d.ts.map