// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License. See License.txt in the project root for license information.
const externalDocsKey = Symbol("externalDocs");
export function getExternalDocs(context, entity) {
    return context.program.stateMap(externalDocsKey).get(entity);
}
const operationIdsKey = Symbol("operationIds");
/**
 * @returns operationId set via the @operationId decorator or `undefined`
 */
export function getOperationId(context, entity) {
    return context.program.stateMap(operationIdsKey).get(entity);
}
export function hasDecorator(type, name) {
    return type.decorators.find((it) => it.decorator.name === name) !== undefined;
}
//# sourceMappingURL=decorators.js.map